unit demo16p;

interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, UUcode16;

type
  TForm1 = class(TForm)
    UUCodec1: TUUCodec;
    Edit1: TEdit;
    Edit2: TEdit;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Edit3: TEdit;
    Label3: TLabel;
    procedure Button3Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure UUCodec1CodecError(Sender: TObject; ErrorMessage: string);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button3Click(Sender: TObject);
begin
  close;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  { START UUENCODING INPUT FILE }
  uucodec1.inputfile  := edit1.text;
  uucodec1.outputfile := edit2.text;
  uucodec1.maxlines   := strtoint(edit3.text);
  uucodec1.action     := uuencode;
  if uucodec1.UUsuccess then
    showmessage('UUEncode created ' + inttostr(uucodec1.UUfiles) +
                ' outputfiles.');
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  uucodec1.inputfile  := edit1.text;
  uucodec1.outputfile := edit2.text;
  uucodec1.action     := uudecode;
  if uucodec1.UUsuccess then
    showmessage('UUDecode worked fine.');
end;

procedure TForm1.UUCodec1CodecError(Sender: TObject; ErrorMessage: string);
begin
  showmessage(ErrorMessage);
end;

end.
